#! /bin/bash
# -----------------------------------------------------------------------------
# f2cad: Convert Fortran to C++ AD Types: Copyright (C) 2005-10 Bradley M. Bell
# Authors:  Bradley M. Bell    bradbell at washington dot edu
# License:  GNU Public License Version 2 or higher
# -----------------------------------------------------------------------------
#
if ! rm -rf doc
then
	echo "run_omhelp.sh: cannot remove old doc directory."
	exit 1
fi
if ! rm -rf run_omhelp.log
then
	echo "run_omhelp.sh: cannot remove old run_omhelp.log file"
	exit 1
fi
#
mkdir doc
if ! cd  doc
then
	echo "run_omhelp.sh: cannot create new doc directory"
	exit 1
fi
#
home_page="https://projects.coin-or.org/CoinBazaar/wiki/Projects/f2cAD"
cmd="omhelp ../f2cad.omh -debug -noframe -image_link $home_page"
for arg1 in -xml ""
do
	for arg2 in -noframe -printable
	do
		echo "omhelp $arg1 $arg2 >& ../run_omhelp.log"
		if ! $cmd $arg1 $arg2 >& ../run_omhelp.log
		then
			echo "run_omhelp.sh: error in omhelp, see run_omhelp.log"
			exit 1
		fi
		if grep "^OMhelp Warning:" ../run_omhelp.log
		then
			echo "run_omhelp.sh: warning in omhelp, see run_omhelp.log"
			exit 1
		fi
	done
done
exit 0
